## linux-4.4 4.4.6

=== Makefile ===
VERSION = 4
PATCHLEVEL = 4
SUBLEVEL = 6
EXTRAVERSION =
NAME = Blurry Fish Butt

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -std=gnu89

=== debian/changelog ===
linux-4.4 (4.4.6-1+rpi14) jessie-staging; urgency=medium

  * Add a couple of settings to the rpi2 config based on looking at difference
    between foundation rpi and rpi2 configs.
  * Move a bunch of stuff from rpi config to rpix config.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 05 May 2016 19:38:10 +0000

linux-4.4 (4.4.6-1+rpi13) jessie-staging; urgency=medium

  * Remove more stuff from config.rpi because it's breaking udeb generation
    + Remove "# CONFIG_CRYPTO_BLOWFISH is not set"
    + Remove "# CONFIG_CRYPTO_SERPENT is not set"
    + Remove "# CONFIG_CRYPTO_TWOFISH is not set"
    + Remove "# CONFIG_MINIX_FS is not set"

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 03 May 2016 02:16:27 +0000

linux-4.4 (4.4.6-1+rpi12) jessie-staging; urgency=medium

  * Merge config.test into config.rpi
  * Allow loop drivers to be built as modules so udeb build succeeds.
  * Remove CONFIG_FIRMWARE_IN_KERNEL from config.rpi

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 02 May 2016 14:59:12 +0000

linux-4.4 (4.4.6-1+rpi11) jessie-staging; urgency=medium

  * Remove settings unshelved in +rpi5 and +rpi6

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 02 May 2016 01:51:47 +0000

linux-4.4 (4.4.6-1+rpi10) jessie-staging; urgency=medium

  * Remove config settings unshelved in +rpi7 and +rpi8

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 01 May 2016 21:47:14 +0000

linux-4.4 (4.4.6-1+rpi9) jessie-staging; urgency=medium

  * Unshelve remaining config settings (this should make us equivilent to +rpi2)

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 30 Apr 2016 23:47:50 +0000

linux-4.4 (4.4.6-1+rpi8) jessie-staging; urgency=medium

  * unshelve yet more config settings.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 28 Apr 2016 23:00:11 +0000

linux-4.4 (4.4.6-1+rpi7) jessie-staging; urgency=medium

  * unshelve some more config settings.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 28 Apr 2016 18:09:56 +0000

linux-4.4 (4.4.6-1+rpi6) jessie-staging; urgency=medium

  * Unshelve some more config settings.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 28 Apr 2016 13:30:55 +0000

linux-4.4 (4.4.6-1+rpi5) jessie-staging; urgency=medium

  * Unshelve some more config settings.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 26 Apr 2016 15:34:06 +0000

linux-4.4 (4.4.6-1+rpi4) jessie-staging; urgency=medium

  * With previous version rpi2 kernel booted but rpi kernel didn't.
    try some more config changes.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 21 Apr 2016 21:08:58 +0000

linux-4.4 (4.4.6-1+rpi3) jessie-staging; urgency=medium

  * Don't specity an ext3-modules udeb for rpi and rpi2 flavors, debian no
    longer seems to provide a template for it
  * Don't specity an ext2-modules udeb for rpi and rpi2 flavors, debian no
    longer seems to provide a template for it
  * Remove some of the rpf config settings added in 4.4.6-1+rpi2

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 19 Apr 2016 14:24:19 +0000

linux-4.4 (4.4.6-1+rpi2) jessie-staging; urgency=medium

  * Add a load of rpf config settings to try and fix boot failure 
    (if it works a cleanup process will be started afterwards)

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 17 Apr 2016 01:49:37 +0000

linux-4.4 (4.4.6-1+rpi1) jessie-staging; urgency=medium

  [Changes from 3.18.5-1~exp1+rpi1 or earlier]
  [Vagrant Cascadian <vagrant@debian.org>]
  * disable other armhf variants. 
  * disable other armhf debian-installer variants.
  * attempt to enable debian-installer udebs for rpi.
  * try harder to enable debian-installer udebs. 
  [Peter Michael Green]
  * Include patches to support RaspberryPI from:
    https://github.com/raspberrypi/linux.git
    branch: rpi-3.16.y
  * add script to automatically regenerate rpi patches from git repos
  * add hack to allow upgrading of kernel located on fat partition to succeed
  * Fix clean target
  * Merge config changes from 3.10.11-1+rpi4 packaging.
  * Build hardware rng module.
  * Build pps module for gps timeserver support.
  * Disable fat modules udeb because we are compiling fat support in.
  * Disable patches that conflict with or duplicate rpi patches
    - features/all/cgroups-Allow-memory-cgroup-support-to-be-included-b.patch
  * Add various kernel config changes that the raspberry pi foundation made between
    3.14 and 3.16 kernel series.
  * Changes forward ported from 3.12 packaging
    + optimise update-rpi-patches script a bit (reduce the number of calls to
      quilt refresh).
    + apply GPIO related configuration changes requested by Diederik
      (LP: 1403865)
  * Rename source package and don't build libc-dev package
  * Add support for raspberry pi 2
    + also turn on some stuff for pi1 that was noticed during the pi1/pi2
      config comparison.

  [Changes introduced in 3.18.5-1~exp1+rpi10 by Peter Michael Green]
  * Fix kernel configuration for keyboard
  * split out config.rpix containing config containing settings that
    are used for both pi1 and pi2.

  [Changes introduced in 3.18.5-1~exp1+rpi11 by Peter Michael Green]
  * add copyright header to mkknling.
  * enable I2S modules now we have device tree support.

  [Changes introduced in 3.18.5-1~exp1+rpi17 by Peter Micheal Green]
  * Add RTC drivers requested by Diederik
  * Update mmc/dma settings to hopefully fix build failure.

  [Changes introduced in 4.4.6-1+rpi1 by Peter Michael Green]
  * Disable patches that conflict or potentially conflict with rpi patches.
    + all patches under features/arm/rpi/ 
    + features/all/cgroups-Allow-memory-cgroup-support-to-be-included-b.patch
    + bugfix/all/uas-fix-high-order-alloc.patch 
    + bugfix/all/firmware-remove-redundant-log-messages-from-drivers.patch
  * Disable rpi_9999_other_changes.patch, it seems to contain only garbage.
  * add device tree trailer using scripts/mkknlimg (previously we used our own copy of mkknlimg)




=== debian/control ===
Source: linux-4.4
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, python3:any, quilt, cpio <!stage1>, kmod <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, bc <!stage1>, gcc-4.9 [alpha arm64 armel armhf hppa mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64] <!stage1>, gcc-5 [amd64 i386] <!stage1>, binutils-hppa64 [hppa] <!stage1>, gcc-4.9-hppa64 [hppa] <!stage1>, gcc-4.8 [m68k] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, xmlto <!stage1>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git

Package: linux-4.4-source-4.4
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.4 with Debian patches
 This package provides source code for the Linux kernel version 4.4. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-4.4-support-4.4.0-1
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.4
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-4.4-doc-4.4
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.4
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.4.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.4/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-4.4-manual-4.4
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.4
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.4.0-1-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.4.0-1-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.4 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.4, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.4.0-1-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.4.0-1-alpha-generic (= ${binary:Version}), linux-headers-4.4.0-1-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.4 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.4, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: kernel-image-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: nic-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, nic-shared-modules-4.4.0-1-alpha-generic-di, core-modules-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: nic-wireless-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, nic-shared-modules-4.4.0-1-alpha-generic-di, core-modules-4.4.0-1-alpha-generic-di, usb-modules-4.4.0-1-alpha-generic-di, pcmcia-modules-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: nic-shared-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: serial-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, pcmcia-modules-4.4.0-1-alpha-generic-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: usb-serial-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, usb-modules-4.4.0-1-alpha-generic-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: ppp-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, serial-modules-4.4.0-1-alpha-generic-di, zlib-modules-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: pata-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, ata-modules-4.4.0-1-alpha-generic-di, scsi-core-modules-4.4.0-1-alpha-generic-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: cdrom-core-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, scsi-core-modules-4.4.0-1-alpha-generic-di, isofs-modules-4.4.0-1-alpha-generic-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: scsi-core-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: scsi-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, scsi-core-modules-4.4.0-1-alpha-generic-di, cdrom-core-modules-4.4.0-1-alpha-generic-di, core-modules-4.4.0-1-alpha-generic-di, ata-modules-4.4.0-1-alpha-generic-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: loop-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: btrfs-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, core-modules-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di, zlib-modules-4.4.0-1-alpha-generic-di, md-modules-4.4.0-1-alpha-generic-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: ext4-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, core-modules-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: isofs-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: jfs-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: xfs-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: xfs-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di, crc-modules-4.4.0-1-alpha-generic-di
Description: XFS filesystem support
 This package contains the XFS filesystem module for the kernel.
Build-Profiles: <!stage1>
Kernel-Version: 4.4.0-1-alpha-generic
Package-Type: udeb

Package: fat-modules-4.4.0-1-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: fat-modules
Depends: kernel-image-4.4.0-1-alpha-generic-di
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.
Build-Profiles: <!stage1>

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*+b\(.*\)$$,\1,p')

include debian/rules.defs

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_KERNEL_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ifdef DEBIAN_KERNEL_JOBS
  MAKEFLAGS += -j$(DEBIAN_KERNEL_JOBS)
endif
BUILD_STAGE1 := $(filter stage1,$(DEB_BUILD_PROFILES))

.NOTPARALLEL:

source: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen source

setup: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)

build: build-arch build-indep

build-arch: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)
endif

build-indep: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-indep
endif

binary:	binary-indep binary-arch

binary-arch:
	dh_testdir
ifdef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-libc-dev_$(DEB_HOST_ARCH)
else
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)
endif

binary-indep:
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-indep
endif

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	rm -f debian/config.defines.dump debian/control debian/control.md5sum debian/linux-* debian/rules.gen debian/po/*.po
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'linux-*') debian/*-modules-*-di* debian/kernel-image-*-di* debian/xen-linux-system-*
	dh_clean
	rm -f arch/s390/include/asm/cmb.h.1
	rm -f drivers/acpi/scan.c.1
	rm -f drivers/base/reservation.c.1
	rm -f drivers/usb/gadget/f_acm.c.1
	rm -f drivers/usb/gadget/f_ecm.c.1
	rm -f drivers/usb/gadget/f_obex.c.1
	rm -f drivers/usb/gadget/f_serial.c.1
	rm -f drivers/usb/gadget/f_subset.c.1
	rm -f include/linux/reservation.h.1
	rm -f include/net/cfg80211.h.1
	rm -f kernel/sys.c.1
	rm -f lib/crc32.c.1
	rm -f drivers/dma-buf/reservation.c.1
	rm -f drivers/dma-buf/seqno-fence.c.1
	rm -f drivers/usb/gadget/function/f_acm.c.1
	rm -f drivers/usb/gadget/function/f_ecm.c.1
	rm -f drivers/usb/gadget/function/f_obex.c.1
	rm -f drivers/usb/gadget/function/f_serial.c.1
	rm -f drivers/usb/gadget/function/f_subset.c.1



CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/*/defines)
CONTROL_FILES += $(wildcard debian/installer/*/kernel-versions) $(wildcard debian/installer/*/package-list) debian/installer/package-list
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
	$<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.4.0-1-alpha-generic [alpha], linux-image-4.4.0-1-alpha-smp [alpha], linux-image-4.4.0-1-amd64 [amd64], linux-image-4.4.0-1-rt-amd64 [amd64], linux-image-4.4.0-1-arm64 [arm64], linux-image-4.4.0-1-marvell [armel], linux-image-4.4.0-1-versatile [armel], linux-image-4.4.0-1-rpi [armhf], linux-image-4.4.0-1-rpi2 [armhf], linux-image-4.4.0-1-parisc [hppa], linux-image-4.4.0-1-parisc64-smp [hppa], linux-image-4.4.0-1-686 [i386], linux-image-4.4.0-1-686-pae [i386], linux-image-4.4.0-1-rt-686-pae [i386], linux-image-4.4.0-1-m68k [m68k], linux-image-4.4.0-1-4kc-malta [mips mipsel], linux-image-4.4.0-1-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.4.0-1-octeon [mips mips64 mips64el], linux-image-4.4.0-1-loongson-2e [mipsel], linux-image-4.4.0-1-loongson-2f [mipsel], linux-image-4.4.0-1-loongson-3 [mipsel mips64el], linux-image-4.4.0-1-powerpc [powerpc], linux-image-4.4.0-1-powerpc-smp [powerpc], linux-image-4.4.0-1-powerpc64 [powerpc ppc64], linux-image-4.4.0-1-powerpcspe [powerpcspe], linux-image-4.4.0-1-powerpc64le [ppc64el], linux-image-4.4.0-1-s390x [s390x], linux-image-4.4.0-1-sh7751r [sh4], linux-image-4.4.0-1-sh7785lcr [sh4], linux-image-4.4.0-1-sparc64 [sparc64], linux-image-4.4.0-1-sparc64-smp [sparc64]
Classes: smp
